Page MenuHomePhabricator

Special:Redirect should not emit 404
Closed, ResolvedPublic

Description

Accessing https://en.wikipedia.org/wiki/Special:Redirect, while the form works fine, it emits a 404 status code in the background which is wrong. This is a supported special page that should be indexable and otherwise cached and indexed normally.

Event Timeline

Krinkle created this task.Mar 30 2016, 11:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2016, 11:38 PM
Florian claimed this task.EditedMar 31 2016, 10:55 AM
Florian triaged this task as Normal priority.
Florian added a subscriber: Florian.

You're right! Let's fix it :)

Change 280645 had a related patch set uploaded (by Florianschmidtwelzow):
Don't emit 404 status code on Special:Redirect

https://gerrit.wikimedia.org/r/280645

Change 280645 merged by jenkins-bot:
Don't emit 404 status code on Special:Redirect

https://gerrit.wikimedia.org/r/280645

Florian closed this task as Resolved.Mar 31 2016, 5:01 PM

Change 281073 had a related patch set uploaded (by Krinkle):
Don't emit 404 status code on Special:Redirect

https://gerrit.wikimedia.org/r/281073

Change 281073 merged by jenkins-bot:
Don't emit 404 status code on Special:Redirect

https://gerrit.wikimedia.org/r/281073

Mentioned in SAL [2016-04-02T01:04:33Z] <krinkle@tin> Synchronized php-1.27.0-wmf.19/includes/specials/SpecialRedirect.php: T131328 (duration: 00m 39s)